.upper-content {
  display: flex;
  padding: 20px;
}
.mySlides {
  width: 100%;
  
  height: 80vh;
  max-height: 150vh;
}

.sidebar {
  width: 25%;
  background-color: #f5f5f5;
  padding: 10px;
  border-right: 1px solid #ddd;
}

.sidebar-header {
  background-color: #8CC63F;
  color: white;
  padding: 10px;
  font-size: 18px;
  font-weight: bold;
}

.sidebar ul {
  list-style: none;
  padding: 0;
}

.sidebar li {
  padding: 8px 0;
  border-bottom: 1px solid #eee;
  cursor: pointer;
}


/* Slideshow container */
.slideshow-container {
  
  position: relative;
  margin: auto;
  border-radius: 40px;
  
}

/* Hide the images by default */
.mySlides {
  display: none;
  width: 100%;
  margin: 20px 0;
 
  border-color: #007BFF;
}
.mySlides img {
    height: 100%;
    width: 100%;
  }

/* Next & previous buttons */
.prev, .next {
  cursor: pointer;
  position: absolute;
  top: 50%;
  width: auto;
  margin-top: -22px;
  padding: 16px;
  color: white;
  font-weight: bold;
  font-size: 18px;
  transition: 0.6s ease;
  border-radius: 0 3px 3px 0;
  user-select: none;
}

/* Position the "next button" to the right */
.next {
  right: 0;
  border-radius: 3px 0 0 3px;
}

/* On hover, add a black background color with a little bit see-through */
.prev:hover, .next:hover {
  background-color: rgba(0,0,0,0.8);
}

/* Caption text */
.text {
  color: #f2f2f2;
  font-size: 15px;
  padding: 8px 12px;
  position: absolute;
  bottom: 8px;
  width: 100%;
  text-align: center;
}

/* Number text (1/3 etc) */
.numbertext {
  color: #f2f2f2;
  font-size: 12px;
  padding: 8px 12px;
  position: absolute;
  top: 0;
}

/* The dots/bullets/indicators */
.dot {
  cursor: pointer;
  height: 15px;
  width: 15px;
  margin: 0 2px;
  background-color: #bbb;
  border-radius: 50%;
  display: inline-block;
  transition: background-color 0.6s ease;
}

.active, .dot:hover {

}

/* Fading animation */
.fade {
  animation-name: fade;
  animation-duration: 1.5s;
}

@keyframes fade {
  from {opacity: .4}
  to {opacity: 1}
}


.product-container{

  display: grid;
  gap: 20px;
  padding: 20px;
  grid-template-columns: repeat(auto-fill, minmax(250px, 1fr)); /* Ensure responsive columns */
  }
  


/* Each product will take equal space */
.product-container.product-card {
  display: inline-block;
  background-color: #f0f0f0;
  padding: 20px;
  text-align: center;
  border: 1px solid #ccc;
  box-sizing: border-box; /* Includes padding and borders in the element's width */
  display: flex;
  align-items: center;
  justify-content: center;
}

.product img {
  width: 100%;
  height: auto;
}
@media (max-width: 480px) {
.upper-content{
  display: none;
}  

}